/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ITipoatuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tipoatuador implements VertxPojo, ITipoatuador {

    private static final long serialVersionUID = 1934389788;

    private Integer tipatuid;
    private String  tipatunome;
    private String  tipatudescricao;

    public Tipoatuador() {}

    public Tipoatuador(Tipoatuador value) {
        this.tipatuid = value.tipatuid;
        this.tipatunome = value.tipatunome;
        this.tipatudescricao = value.tipatudescricao;
    }

    public Tipoatuador(
        Integer tipatuid,
        String  tipatunome,
        String  tipatudescricao
    ) {
        this.tipatuid = tipatuid;
        this.tipatunome = tipatunome;
        this.tipatudescricao = tipatudescricao;
    }

    @Override
    public Integer getTipatuid() {
        return this.tipatuid;
    }

    @Override
    public Tipoatuador setTipatuid(Integer tipatuid) {
        this.tipatuid = tipatuid;
        return this;
    }

    @Override
    public String getTipatunome() {
        return this.tipatunome;
    }

    @Override
    public Tipoatuador setTipatunome(String tipatunome) {
        this.tipatunome = tipatunome;
        return this;
    }

    @Override
    public String getTipatudescricao() {
        return this.tipatudescricao;
    }

    @Override
    public Tipoatuador setTipatudescricao(String tipatudescricao) {
        this.tipatudescricao = tipatudescricao;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Tipoatuador (");

        sb.append(tipatuid);
        sb.append(", ").append(tipatunome);
        sb.append(", ").append(tipatudescricao);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ITipoatuador from) {
        setTipatuid(from.getTipatuid());
        setTipatunome(from.getTipatunome());
        setTipatudescricao(from.getTipatudescricao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ITipoatuador> E into(E into) {
        into.from(this);
        return into;
    }

    public Tipoatuador(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
